Bug 837146 - RFE: more descriptive page titles
RFE: more descriptive page titles
Status: CLOSED WONTFIX
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 21:12 EDT by Dana Mison
Modified: 2014-08-04 18:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 16:13:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dana Mison 2012-07-02 21:12:37 EDT
/CustomSearchTopicList.xhtml

Currently every skynet page has the title: "TopicIndex".  If different pages had more descriptive titles it would be helpful when trying to find pages in browser history, from bookmarks , and in browser tabs.

The simple items that would be a good start:

When viewing a topic: "Topic: {id}"
When editing a topic: "Editing topic: {id}"
When viewing a search: "Topic Search Result"

A trickier one I suspect:
When viewing a search result from a filter (with no modifications): "Topic filter: {filter name}"

There are a lot of pages, it's probably worth concentrating on those that are likely to be the ones that people are likely to bookmark, want to find in history, or otherwise have open in multiple tabs.
Comment 1 Matthew Casperson 2013-03-06 16:13:56 EST
The old UI will be retired, and no updates will be made to it. Please use the new UI at http://skynet.usersys.redhat.com:8080/pressgang-ccms-ui/

Note You need to log in before you can comment on or make changes to this bug.